﻿<%@ Page Title="Home Page" Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs"
    Inherits="_Default" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
    <title>Test</title>
    <script type="text/javascript">
        function CellValueChanged(sender,args) {
            var value = args.get_value();
            var columnName = args.get_columnUniqueName();
            var otherColumnValue;
            if (columnName == "UnitsInStock") {
                otherColumnValue = parseDouble(args.get_row().cells[0].innerText);
                args.get_row().cells[2].innerText = value * otherColumnValue;
            }
            if (columnName == "UnitPrice") {
                otherColumnValue = parseDouble(args.get_row().cells[1].innerText);
                args.get_row().cells[2].innerText = value * otherColumnValue;
            }
           
        }
        function parseDouble(value) {
            if (typeof value == "string") {
                value = value.match(/^-?\d*/)[0];
            }
            return !isNaN(parseInt(value)) ? value * 1 : NaN;
        }
    </script>
</head>
<body>
    <form id="Form1" runat="server">
        <telerik:RadScriptManager runat="server"></telerik:RadScriptManager>
     
        <telerik:RadGrid ID="RadGrid1" Visible="true" Width="97%" AllowPaging="True" PageSize="15" runat="server"
        AllowSorting="true" OnNeedDataSource="RadGrid1_NeedDataSource" AutoGenerateColumns="false" GridLines="None">
        <MasterTableView Width="100%" EditMode="Batch">
            <Columns>
                <telerik:GridBoundColumn UniqueName="UnitPrice" DataField="UnitPrice">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn UniqueName="UnitsInStock" DataField="UnitsInStock">
                </telerik:GridBoundColumn>
                <telerik:GridCalculatedColumn HeaderText="Total" UniqueName="TotalPrice" DataType="System.Double"
                DataFields="UnitPrice, UnitsInStock" Expression="{0}*{1}"/>
            </Columns>
        </MasterTableView>
            <ClientSettings>
                <ClientEvents OnBatchEditSetCellValue="CellValueChanged" />
            </ClientSettings>
        <PagerStyle Mode="NextPrevAndNumeric"></PagerStyle>
        <FilterMenu EnableTheming="True">
            <CollapseAnimation Duration="200" Type="OutQuint"></CollapseAnimation>
        </FilterMenu>
    </telerik:RadGrid>
    </form>
</body>
</html>
